/* ============================================================================================
	FEATURED ARTWORK SLIDER / PATTERN
============================================================================================ */
.kasai-artwork-slider {
	position: relative;
	max-width: 600px;
	aspect-ratio: 3/4
}

.kasai-artwork-slider-container {
	display: flex;
	justify-content: center;
	align-items: center;
	position: relative;
	width: 100%;
	height: 100%;
	overflow: hidden;
	background: var(--wp--preset--color--gray)
}
	.kasai-artwork-slider-image {
	opacity: 0;
	display: flex !important;
	position: absolute;
	left: 100%;
	justify-content: center;
	align-items: center;
	width: 100%;
	aspect-ratio: 3/4;
	padding: 4%;
	transition: left .5s, opacity .5s
}
.kasai-artwork-slider-image.active {
	left: 0;
	opacity: 1
}
.kasai-artwork-slider-image.prev {
	left: -100%
}
.kasai-artwork-slider-image img {
	width: 100%;
	height: 100%;
	object-fit: contain
}
/* スライダーコントロール */
.kasai-artwork-slider-controls {
	display: flex;
	justify-content: space-between;
	position: absolute;
	top: 50%;
	left: 50%;
	width: calc(100% + 26px);
	pointer-events: none;
	transform: translate(-50%, -50%)
}

.kasai-artwork-slider-button {
	opacity: .7;
	display: flex;
	align-items: center;
	justify-content: center;
	width: 40px;
	height: 40px;
	padding: 0;
	box-shadow: 0 0 10px 0 rgba(0,0,0,.1);
	border: 0;
	border-radius: 50%;
	background: rgb(255,255,255);
	pointer-events: auto;
	cursor: pointer;
	transition: opacity .3s
}

.kasai-artwork-slider-button:hover {
	opacity: 1;
}
.kasai-artwork-slider-button:before {
	content: "";
	display: block;
	width: 6px;
	height: 6px;
	border-top: 2px solid currentColor
}
.kasai-artwork-slider-button.prev::before {
	border-left: 2px solid currentColor;
	transform: rotate(-45deg)
}

.kasai-artwork-slider-button.next::before {
	border-right: 2px solid currentColor;
	transform: rotate(45deg)
}
